Instrumentacion Nano-Satelites - Task #768

Task # 757 (Closed): Disefio de prototipo de transmision 3.0

Revision de Tarjeta - Circuito 1 - Generacion de senales y control
10/05/2016 05:47 AM - Jose Chavez

Status: Closed Start date: 10/05/2016
Priority: Normal Due date: 10/12/2016
Assignee: Jose Chavez % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Prototipo transmisién 3.0 (ahora 2.1) Spent time: 0.00 hour
Description

Circuito 1: Payload - Generacidn de senales y control

Herramienta de Diseno de Software

Eagle 5.11

Funcionalidad

La tarjeta forma parte del prototipo de transmisor 2.0, el cual consta de dos tarjetas comunicadas entre si mediante un bus
stackeable, basado en el estdndar PC/104, utilizado ampliamente en cubesats. Se consider6 ademas la compatibilidad de las
tarjetas con la Motherboard que se adquirira.

La tarjeta consta de 4 capas distribuidas en la forma Signal, GND, VDD, Signal y ha sido disefiada para que la implementacion sea
realizada por SpeedyCircuits (Taiwan)

La tarjeta se ha dividido en dos etapas: Control y generacién de sefal.
Control

El circuito también contiene la etapa control del payload utilziando el microcontrolador ATmega128.
Dicha etapa se encarga de las siguientes tareas.

Comunicacion con el aircraft mediante protocolo serial y/o 12C

Control de PLLs: Llenado de registros, lectura de estados, enable/disable
Control de VCO: ON/OFF mediante switch analégico ADG701

Control de VGA: Llenado de registros (a la segunda tarjeta)

Codificaciéon: Generacion de secuencias y data a transimitir (a la segunda tarjeta)

e o o o O

Generacion

Esta etapa genera 150MHz y 400MHz a partir de PLLs y un circuito que genera una frecuencia comun de 10MHz.
A su vez, la etapa de generacion posee cuatro sub-etapas indentificables, duplicandose a las dos frecuencias de transmision:

Sefial de sincronismo: Circuito que genera 3 sefiales de 10MHz y las distribuye a los PLLs y al Microcontrolador
PLL: Genera la sefial que controla el VCO

Loop filter: Circuito RC que filtra la sefial de control del VCO genrada por el PLL.

VCO: Genera la frecuencia requerida

Switch: Control de ON/OFF de los VCO

Filtro: A la salida del VCO se encuentra un filtro pasabajos para la eliminaciéon de arménicos.

Consideraciones adicionales:

¢ La tarjeta transmite las sefiales de RF mediante conectores especiales board to board. Para mayor informacion revisar la web
de amphenol y la web de digikey. El bullet utilizado es ARF2472-ND, calculado para spacers de 15mm.
e Para conocer el componente que se esté utilizando revisar el atributo DIGIKEY-PART del mismo.
¢ Las capacidades del fabricante son las siguientes
o Ancho minimo: 1.5 mils
o Grosor minimo del dieléctrico: 2 mils
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Motherboard
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Amphenol
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Digikey
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/ARF2472-ND

o Tamafio minimo del drill: 3mils mecanico, 2mils laser
e Es preciso mencionar que las pistas de sefiales se encuentran matcheadas a 50 Ohm, bajo la configuraciéon mostrada en la
siguiente imagen.

Captura.PNG

Entradas

Entradas CMOS estandar propias de microcontrolador para la programacién del mismo.
Las entradas a los demas componentes son manipuladas el microcontrolador directamente.

Salidas - RF

Senal 1 Senfal 2
Frecuencia 150MHz 400MHz
Potencia (50 Ohm) -3dBm a 7dBm -2dBm a 2dBm
Impedancia 50 50
Nivel DC Ov Ov

Diagrama de bloques
bloques.PNG
Los 3.3V son generados a partir de un TPS767

Se agregé un sensor de corriente a través de una resistencia de 100m.
Los VCO son ahora switcheados con un MOSFET

Archivo esquematico y board MIC94030

Esquematico: http:/jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.sch
Board: http:/jro-dev.igp.gob.pe/svn/jro_hard/nanosats/ TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.brd

History
#1 - 10/18/2016 05:03 AM - Joaquin Verastegui
PCB
Observacion Sefal o componente asociado Resultado
URGENTE: Pin 27 de HMC681-150 no esta HMC681-150, VGA_D_150 CORREGIDO

conectado a ninguna sefial. Favor de revisar
todos los pines similares que hay en el

circuito.
BOARD
Observacion Sefal o componente asociado Resultado
En la capa Bottom la sefal se encuentra muy EN_AMP_15, GND CORREGIDO

cerca a una via de GND. Segun lo que veo la
via se puede mover.

En la capa Bottom, cerca a L8 hay una via que L8, 5V CORREGIDO
rompe la malla de tierra, si la via se mueve
esto no ocurrira.

Hay una pista dibujada saliendo del conector X5, N$3 CORREGIDO
pero que no va a ningun lado en la capa
Bottom. Es esto a propésito?

Resistencias de pull-down deberian estar R10, R11, R12 CORREGIDO
ubicadas entre el origen de la sefial y el
destino, no a un costado.
El integrado U$12 tiene dos pines conectados U$12, RAW_5V Esto es intencional, pues un pin es de sensado


http://jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.sch
http://jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.brd

Observacion

Sefal o componente asociado

Resultado

a RAW_5V, seria mejor unir estos pines en un
solo poligono.

y el otro de alimentacién

Ordenar nombres y valores para que sean
visibles a la hora de fabricar la tarjeta.

Todo

CORREGIDO

No olvidar correr el DRC al final de todo.

#2 - 10/19/2016 06:11 PM - Joaquin Verastegui

- Assignee changed from Joaquin Verastegui to Jose Chavez

#3 - 02/18/2019 07:23 PM - Alessandro Morales

- Status changed from New to Closed

- % Done changed from 0 to 100

Los ultimos alcances del transmisor JETT 3.0 se plasmaron en el informe del Ing. Fernando Villanueva

https://drive.google.com/open?id=19eqEW8_ctNx1s3UQVejBWZeeyF7QIM23
